Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.report.gui.action
Class ReportCopy

    java.lang.Object
      org.apache.jmeter.report.gui.action.AbstractAction
          org.apache.jmeter.report.gui.action.ReportCopy

All Implemented Interfaces:
  Command

public class ReportCopy
extends AbstractAction

Constructor Summary
`ReportCopy()`

Method Summary
`static ReportTreeNode` | `cloneTreeNode(ReportTreeNode node)`
`static ReportTreeNode[]` | `cloneTreeNodes(ReportTreeNode[] nodes)`
`void` | `doAction(ActionEvent e)`
`Set` | `getActionNames()`
`static ReportTreeNode` | `getCopiedNode()`
`static ReportTreeNode[]` | `getCopiedNodes()`
`static void` | `setCopiedNode(ReportTreeNode node)`
`static void` | `setCopiedNodes(ReportTreeNode[] nodes)`

Methods inherited from class org.apache.jmeter.report.gui.action.AbstractAction
`popupShouldSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportCopy

    public ReportCopy()

Method Detail

### getActionNames

    public Set getActionNames()

  Specified by:
    `getActionNames` in interface `Command`
  Specified by:
    `getActionNames` in class `AbstractAction`
  See Also:
    `Command.getActionNames()`

### doAction

    public void doAction(ActionEvent e)

  Specified by:
    `doAction` in interface `Command`
  Overrides:
    `doAction` in class `AbstractAction`
  See Also:
    `Command.doAction(ActionEvent)`

### getCopiedNodes

    public static ReportTreeNode[] getCopiedNodes()

### getCopiedNode

    public static ReportTreeNode getCopiedNode()

### setCopiedNode

    public static void setCopiedNode(ReportTreeNode node)

### cloneTreeNode

    public static ReportTreeNode cloneTreeNode(ReportTreeNode node)

### setCopiedNodes

    public static void setCopiedNodes(ReportTreeNode[] nodes)

### cloneTreeNodes

    public static ReportTreeNode[] cloneTreeNodes(ReportTreeNode[] nodes)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.